import { TransactionSuccessStatus } from "../../types/genericMccTypes";
import { IXrpGetTransactionRes, XrpTransactionTypeUnion } from "../../types/xrpTypes";
import { AddressAmount, BalanceDecreasingSummaryResponse, PaymentSummaryProps, PaymentSummaryResponse, TransactionBase } from "../TransactionBase";
export declare class XrpTransaction extends TransactionBase<IXrpGetTransactionRes> {
    protected get data(): IXrpGetTransactionRes;
    get txid(): string;
    get stdTxid(): string;
    get hash(): string;
    get reference(): string[];
    get stdPaymentReference(): string;
    get unixTimestamp(): number;
    get sourceAddresses(): string[];
    get receivingAddresses(): string[];
    get fee(): bigint;
    get feeSignerTotalAmount(): AddressAmount;
    get spentAmounts(): AddressAmount[];
    get intendedSpentAmounts(): AddressAmount[];
    get receivedAmounts(): AddressAmount[];
    get intendedReceivedAmounts(): AddressAmount[];
    get type(): XrpTransactionTypeUnion;
    get isNativePayment(): boolean;
    get currencyName(): string;
    get elementaryUnits(): number;
    get successStatus(): TransactionSuccessStatus;
    paymentSummary(props: PaymentSummaryProps): PaymentSummaryResponse;
    balanceDecreasingSummary(sourceAddressIndicator: string): BalanceDecreasingSummaryResponse;
    get isAccountCreate(): boolean;
}
//# sourceMappingURL=XrpTransaction.d.ts.map