"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BTCImplementation = exports.btcObjectConstructors = void 0;
const base_objects_1 = require("../base-objects");
const genericMccTypes_1 = require("../types/genericMccTypes");
const UtxoCore_1 = require("./UtxoCore");
exports.btcObjectConstructors = {
    transactionConstructor: base_objects_1.BtcTransaction,
    fullBlockConstructor: base_objects_1.BtcFullBlock,
    blockConstructor: base_objects_1.BtcBlock,
    blockHeaderConstructor: base_objects_1.BtcBlockHeader,
    blockTipConstructor: base_objects_1.BtcBlockTip,
};
class BTCImplementation extends UtxoCore_1.UtxoCore {
    constructor(options) {
        super(options, exports.btcObjectConstructors);
        this.chainType = genericMccTypes_1.ChainType.BTC;
    }
}
exports.BTCImplementation = BTCImplementation;
//# sourceMappingURL=BtcRpcImplementation.js.map