/// <reference types="node" />
import BN from "bn.js";
import { MccLoggingOptions, MccLoggingOptionsFull } from "../types/genericMccTypes";
export declare const ZERO_BYTES_32 = "0x0000000000000000000000000000000000000000000000000000000000000000";
export declare function MccError(error: any): Error;
export declare function getSimpleRandom(maxnum: number): number;
export declare function sleepMs(ms: number): Promise<void>;
export declare function unPrefix0x(tx: string): string;
export declare function prefix0x(tx: string): string;
export declare function isPrefixed0x(tx: string): boolean;
export declare function toHex(x: string | number | BN): string;
export declare function hexToBytes(hex: string): Uint8Array;
export declare function toHex32Bytes(x: string | number | BN): string;
export declare function toBN(x: string | number | BN, toZeroIfFails?: boolean): BN;
export declare function toNumber(x: number | BN | undefined | null): number | undefined;
export declare function toCamelCase(obj: object): object;
export declare function camelToSnakeCase(str: string, splitWith?: string): string;
export declare function toSnakeCase(obj: object, splitWith?: string): object;
export declare function isValidBytes32Hex(address: string): boolean;
export declare function isValidBytes32HexPrefix(address: string): boolean;
export declare function isValidHexString(maybeHexString: string): boolean;
export declare function bytesToString(bytes: Buffer | Uint8Array): string;
export declare function bytesAsHexToString(bytesString: string): string;
export declare function mccJsonStringify(toStringify: any): any;
export declare function defaultLoggingCallback(message: string): void;
export declare function defaultWarningCallback(message: string): void;
export declare function defaultExceptionCallback(error: any, message: string): void;
export declare function defaultMccLoggingObject(): MccLoggingOptionsFull;
export declare function fillWithDefault(partialMccLogging: MccLoggingOptions): MccLoggingOptionsFull;
export declare function standardAddressHash(address: string): string;
export declare const BTC_BASE_58_DICT_regex: RegExp;
export declare function btcBase58Encode(input: Uint8Array | Buffer | number[]): string;
export declare function btcBase58Decode(input: string): Buffer;
export declare function xrpBase58Encode(input: Uint8Array | Buffer | number[]): string;
export declare function xrpBase58Decode(input: string): Buffer;
/**
 *
 * @param address a base 58 address
 */
export declare function btcBase58Checksum(address: string): boolean;
export declare function xrpBase58Checksum(address: string): boolean;
/**
 * Transforms a valid base58 btc address into a corresponding pkscript: either p2pkh or p2sh
 * @param address
 * @returns
 */
export declare function btcBase58AddrToPkScript(address: string): string;
/**
 * Transforms a valid base58 doge address into a corresponding pkscript: either p2pkh or p2sh
 * @param address
 * @returns
 */
export declare function dogeBase58AddrToPkScript(address: string): string;
//# sourceMappingURL=utils.d.ts.map