"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../src");
const testUtils_1 = require("../testUtils");
const BtcMccConnection = {
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
    url: process.env.TESTNET_BTC_URL || "",
    username: process.env.TESTNET_BTC_USERNAME || "",
    password: process.env.TESTNET_BTC_PASSWORD || "",
    rateLimitOptions: {
        timeoutMs: 15000,
    },
};
describe.skip(`TESTNET: BTC payment summary with op return, ${(0, testUtils_1.getTestFile)(__filename)}`, function () {
    let MccClient;
    let transaction;
    const txid = "67926749297f9ef450071585526fc2c0d0f1b9e40a8ac50d124c2e6d53c2c3b3";
    before(async function () {
        MccClient = new src_1.MCC.BTC(BtcMccConnection);
        transaction = await MccClient.getTransaction(txid);
    });
    //  it("Should return status", async function () {
    //     const status = await MccClient.getNodeStatus();
    //     console.log("status", status.version);
    //     console.dir(status, { depth: 10 });
    //  });
    it("Should be full transaction", async function () {
        (0, chai_1.expect)(transaction.type).to.eq("payment");
    });
    it("Should get payment summary", async function () {
        const ps = await transaction.paymentSummary({ inUtxo: 0, outUtxo: 1 });
        console.dir(ps, { depth: 10 });
    });
});
//# sourceMappingURL=testnet.paymentsummary.test.js.map