"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const src_1 = require("../../../src");
const testUtils_1 = require("../../testUtils");
const XRPMccConnection = {
    url: process.env.XRP_URL || "",
    username: process.env.XRP_USERNAME || "",
    password: process.env.XRP_PASSWORD || "",
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
describe.skip("<Type name> type", function () {
    let MccClient;
    before(async function () {
        src_1.traceManager.displayRuntimeTrace = false;
        src_1.traceManager.displayStateOnException = false;
        MccClient = new src_1.MCC.XRP(XRPMccConnection);
    });
    describe("<Type name> happy path", function () {
        let transaction;
        before(async function () {
            transaction = await MccClient.getTransaction("1AF19BF9717DA0B05A3BFC5007873E7743BA54C0311CCCCC60776AAEAC5C4635");
        });
        it("should correctly parse sourceAddresses", function () {
            (0, chai_1.expect)(transaction.sourceAddresses).to.deep.equal(["<address>"]);
        });
        it("should correctly parse receivingAddresses", function () {
            (0, chai_1.expect)(transaction.receivingAddresses).to.deep.equal(["<address>"]);
        });
        it("should correctly parse spentAmounts", function () {
            const expected = [{ address: "<address>", amount: BigInt("1") }];
            (0, chai_1.expect)((0, testUtils_1.AddressAmountEqual)(transaction.spentAmounts, expected)).to.be.true;
        });
        it("should correctly parse receivedAmounts", function () {
            const expected = [{ address: "<address>", amount: BigInt("1") }];
            (0, chai_1.expect)((0, testUtils_1.AddressAmountEqual)(transaction.receivedAmounts, expected)).to.be.true;
        });
    });
    describe("<Type name> odd case 1", function () {
        it("odd case template 1", async function () {
            // TODO: Add test case
        });
    });
});
//# sourceMappingURL=0Template.test.skip.js.map